<?php
namespace Elementor;

/**
 * Elementor Widget
 * @package Geroz
 * @since 1.0.0
 */ 
 
class Home2_Video extends Widget_Base {

	/**
	 * Get widget name.
	 * Retrieve button widget name.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return string Widget name.
	 */
	public function get_name() {
		return 'geroz-home2-video-widget';
	}

	/**
	 * Get widget title.
	 * Retrieve button widget title.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return string Widget title.
	 */
	public function get_title() {
		return esc_html__( 'Home 2 Video', 'geroz-core' );
	}

	/**
	 * Get widget icon.
	 * Retrieve button widget icon.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return string Widget icon.
	 */
	public function get_icon() {
		return 'eicon-flash';
	}

	/**
	 * Get widget categories.
	 * Retrieve the list of categories the button widget belongs to.
	 * Used to determine where to display the widget in the editor.
	 *
	 * @since  2.0.0
	 * @access public
	 * @return array Widget categories.
	 */
	public function get_categories()
    {
        return ['geroz_widgets'];
    }
	
	/**
	 * Register button widget controls.
	 * Adds different input fields to allow the user to change and customize the widget settings.
	 *
	 * @since  1.0.0
	 * @access protected
	 */
	protected function register_controls() {

		$this->start_controls_section(
			'home2-video-content',
			[
				'label' => esc_html__( 'Video Content', 'geroz-core' ),
			]
		);	

		$this->add_control(
			'title',
			[
				'label' => esc_html__( 'Title', 'geroz-core' ),
				'type' => Controls_Manager::TEXTAREA,
				'default' => esc_html__( 'Our Vision', 'geroz-core' ),
				'label_block' => true,
			]
		);

		$this->add_control(
			'bg_image',
			[
				'label' => esc_html__( 'Background Image', 'geroz-core' ),
				'type' => Controls_Manager::MEDIA,
				'default' => [
					'url' => Utils::get_placeholder_image_src(),
				],
			]
		);

		$this->add_control(
			'video_link',
			[
				'label' => esc_html__( 'Video Link', 'geroz-core' ),
				'type' => Controls_Manager::URL,
				'default' => [
					'url' => '#',
				],
				'label_block' => true,
			]
		);

		$this->end_controls_section();

	
		}

	/**
	 * Render button widget output on the frontend.
	 * Written in PHP and used to generate the final HTML.
	 *
	 * @since  1.0.0
	 * @access protected
	 */
	protected function render() {
		$settings = $this->get_settings_for_display();
		$allowed_tags = wp_kses_allowed_html('post');
		?>

		<div class="video-wrapper video-1 section-padding pb-0 section-bg-5">
			<div class="section-title-2">
				<h2 class="wow fadeInUpBig" data-wow-delay="200ms"><?php echo $settings['title'];?></h2>
			</div>
			<div class="tp-full-img-wrap p-rel">
				<div class="video-bg bg-cover tp-full-img" data-speed="auto"
					data-background="<?php echo wp_get_attachment_url($settings['bg_image']['id']);?>">
					<a href="<?php echo esc_url($settings['video_link']['url']);?>" class="icon video-popup"><i
							class="fas fa-play"></i></a>
				</div>
			</div>
		</div>

             
		<?php 
	}


}

Plugin::instance()->widgets_manager->register_widget_type(new Home2_Video());